org.apache.sling.event.jobs

## Enum ScheduleInfo.ScheduleType

- java.lang.Object
- - java.lang.Enum<ScheduleInfo.ScheduleType>
  - - org.apache.sling.event.jobs.ScheduleInfo.ScheduleType

All Implemented Interfaces:
  Serializable, Comparable<ScheduleInfo.ScheduleType>

Enclosing interface:
  ScheduleInfo

    public static enum ScheduleInfo.ScheduleType
    extends Enum<ScheduleInfo.ScheduleType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CRON`
`DAILY`
`DATE`
`HOURLY`
`MONTHLY`
`WEEKLY`
`YEARLY`

### Method Summary

All Methods Static Methods Concrete Methods
`static ScheduleInfo.ScheduleType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ScheduleInfo.ScheduleType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DATE

    public static final ScheduleInfo.ScheduleType DATE

#### HOURLY

    public static final ScheduleInfo.ScheduleType HOURLY

#### DAILY

    public static final ScheduleInfo.ScheduleType DAILY

#### WEEKLY

    public static final ScheduleInfo.ScheduleType WEEKLY

#### MONTHLY

    public static final ScheduleInfo.ScheduleType MONTHLY

#### YEARLY

    public static final ScheduleInfo.ScheduleType YEARLY

#### CRON

    public static final ScheduleInfo.ScheduleType CRON

### Method Detail

#### values

    public static ScheduleInfo.ScheduleType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ScheduleInfo.ScheduleType c : ScheduleInfo.ScheduleType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ScheduleInfo.ScheduleType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null